Bug 1121474 - RFE: project maintainer should be able to determine the default acceptance level
Summary: RFE: project maintainer should be able to determine the default acceptance level
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Michelle Kim
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 04:55 UTC by Ding-Yi Chen
Modified: 2015-07-31 01:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:19:18 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-07-21 04:55:37 UTC
Description of problem:

As a project maintainer, I want to specify the default acceptance level, so I can output only approved translations or translated translations.

Zanata supports 5 states: Empty, Fuzzy, Translated, Rejected and Approved.
However, gettext only have 3 states, Empty, Fuzzy and Translated.

There are 3 use cases:

Use cases 1: Free for all community projects: 
    They don't bother reviews stage, so they want to output 
    Transated as gettext Translated, Fuzzy as gettext Fuzzy

Use cases 2: Strict, high quality projects:
    Review stage is required, so only 
    Approved should output as gettext Translated,
    the others non-empty translation should be output as gettext Fuzzy.

Use cases 3: opportunity project maintainers:
    If someone volunteering the reviewing, that's find.
    if nobody want to review, then translated should also be fine.

This settings should go to project level. A separate RFE can be filed
if this is also need in project-version level.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Always

Steps to Reproduce:
1. Sign in as project maintainer
2. Go to project view
3. Click setting->translation

Actual results:
No UI for default translation output level.

Expected results:
A UI element for acceptance should be shown and has at least 2 options:
1. "Output Translated and Approved"
2. "Output only Approved"

For review disabled projects, 1) should be the only options.
For review enabled projects, you can choose between 1) and 2), and 2) should be the default.

Additional info:

Comment 2 Damian Jansen 2015-07-14 00:21:42 UTC
Reassigned to PM

Comment 3 Zanata Migrator 2015-07-31 01:19:18 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-427


Note You need to log in before you can comment on or make changes to this bug.